symilar(1)

NAME
symilar - tool for checking similarities in different files

SYNOPSIS
symilar [ options ] [ <files> ]

DESCRIPTION
symilar is a tool for searching blocks of identical lines in different files. It can be used to find copy pasted blocks of code, or stuff that could be refactored. Differences concerning only stuff behind a '#' (Python comments) can be ignored. The size of identical blocks can be optionally modified. symilar 's functionality is integrated in pylint with the refactoring message 'R0801'.

OPTIONS

-h, --help
    show help message and exit

-d <min_duplicated_lines>, --duplicates <min_duplicated_lines>
    minimum number of identical lines that should trigger a similarity message. Default is 4. So if it finds 3 identical lines, there will be no message, but 4 identical lines will be mentioned.

-i, --ignore-comments
    ignore differences concerning only stuff behind a '#' (Python comments). This means that if just a comment was added, the message will still be triggered.